﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.34209
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.34209.
// 
#pragma warning disable 1591

namespace residential.webSatisfy.lkservice {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="LKEmailServiceSoap", Namespace="http://tempuri.org/")]
    public partial class LKEmailService : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private System.Threading.SendOrPostCallback RunEmailOperationCompleted;
        
        private System.Threading.SendOrPostCallback EmailDirectToSMTPServerOperationCompleted;
        
        private System.Threading.SendOrPostCallback EmailInsertToDBOperationCompleted;
        
        private System.Threading.SendOrPostCallback InsertSimpleEmailOperationCompleted;
        
        private System.Threading.SendOrPostCallback EmailInsertToDBMultiAttachmentOperationCompleted;
        
        private System.Threading.SendOrPostCallback getEmailIDForMultipleAttachmentOperationCompleted;
        
        private System.Threading.SendOrPostCallback insertAttachmentOperationCompleted;
        
        private System.Threading.SendOrPostCallback sendMailAttachment_InsertedOperationCompleted;
        
        private System.Threading.SendOrPostCallback TestLippoCikarangOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public LKEmailService() {
            this.Url = global::residential.webSatisfy.Properties.Settings.Default.residential_webSatisfy_lkservice_LKEmailService;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event RunEmailCompletedEventHandler RunEmailCompleted;
        
        /// <remarks/>
        public event EmailDirectToSMTPServerCompletedEventHandler EmailDirectToSMTPServerCompleted;
        
        /// <remarks/>
        public event EmailInsertToDBCompletedEventHandler EmailInsertToDBCompleted;
        
        /// <remarks/>
        public event InsertSimpleEmailCompletedEventHandler InsertSimpleEmailCompleted;
        
        /// <remarks/>
        public event EmailInsertToDBMultiAttachmentCompletedEventHandler EmailInsertToDBMultiAttachmentCompleted;
        
        /// <remarks/>
        public event getEmailIDForMultipleAttachmentCompletedEventHandler getEmailIDForMultipleAttachmentCompleted;
        
        /// <remarks/>
        public event insertAttachmentCompletedEventHandler insertAttachmentCompleted;
        
        /// <remarks/>
        public event sendMailAttachment_InsertedCompletedEventHandler sendMailAttachment_InsertedCompleted;
        
        /// <remarks/>
        public event TestLippoCikarangCompletedEventHandler TestLippoCikarangCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/RunEmail", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string RunEmail() {
            object[] results = this.Invoke("RunEmail", new object[0]);
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void RunEmailAsync() {
            this.RunEmailAsync(null);
        }
        
        /// <remarks/>
        public void RunEmailAsync(object userState) {
            if ((this.RunEmailOperationCompleted == null)) {
                this.RunEmailOperationCompleted = new System.Threading.SendOrPostCallback(this.OnRunEmailOperationCompleted);
            }
            this.InvokeAsync("RunEmail", new object[0], this.RunEmailOperationCompleted, userState);
        }
        
        private void OnRunEmailOperationCompleted(object arg) {
            if ((this.RunEmailCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.RunEmailCompleted(this, new RunEmailCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/EmailDirectToSMTPServer", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string EmailDirectToSMTPServer(string EmailCategory, string EmailTo, string EmailCC, string EmailBCC, string Subject, string Body, string EmailFrom, string EmailFromDisplayName) {
            object[] results = this.Invoke("EmailDirectToSMTPServer", new object[] {
                        EmailCategory,
                        EmailTo,
                        EmailCC,
                        EmailBCC,
                        Subject,
                        Body,
                        EmailFrom,
                        EmailFromDisplayName});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void EmailDirectToSMTPServerAsync(string EmailCategory, string EmailTo, string EmailCC, string EmailBCC, string Subject, string Body, string EmailFrom, string EmailFromDisplayName) {
            this.EmailDirectToSMTPServerAsync(EmailCategory, EmailTo, EmailCC, EmailBCC, Subject, Body, EmailFrom, EmailFromDisplayName, null);
        }
        
        /// <remarks/>
        public void EmailDirectToSMTPServerAsync(string EmailCategory, string EmailTo, string EmailCC, string EmailBCC, string Subject, string Body, string EmailFrom, string EmailFromDisplayName, object userState) {
            if ((this.EmailDirectToSMTPServerOperationCompleted == null)) {
                this.EmailDirectToSMTPServerOperationCompleted = new System.Threading.SendOrPostCallback(this.OnEmailDirectToSMTPServerOperationCompleted);
            }
            this.InvokeAsync("EmailDirectToSMTPServer", new object[] {
                        EmailCategory,
                        EmailTo,
                        EmailCC,
                        EmailBCC,
                        Subject,
                        Body,
                        EmailFrom,
                        EmailFromDisplayName}, this.EmailDirectToSMTPServerOperationCompleted, userState);
        }
        
        private void OnEmailDirectToSMTPServerOperationCompleted(object arg) {
            if ((this.EmailDirectToSMTPServerCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.EmailDirectToSMTPServerCompleted(this, new EmailDirectToSMTPServerCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/EmailInsertToDB", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string EmailInsertToDB(string emailTo, string emailCC, string emailBCC, string subject, string message, string nik, string counterCode, string namaFile, [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] image, string emailFrom, string emailFromDisplayName, string emailID) {
            object[] results = this.Invoke("EmailInsertToDB", new object[] {
                        emailTo,
                        emailCC,
                        emailBCC,
                        subject,
                        message,
                        nik,
                        counterCode,
                        namaFile,
                        image,
                        emailFrom,
                        emailFromDisplayName,
                        emailID});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void EmailInsertToDBAsync(string emailTo, string emailCC, string emailBCC, string subject, string message, string nik, string counterCode, string namaFile, byte[] image, string emailFrom, string emailFromDisplayName, string emailID) {
            this.EmailInsertToDBAsync(emailTo, emailCC, emailBCC, subject, message, nik, counterCode, namaFile, image, emailFrom, emailFromDisplayName, emailID, null);
        }
        
        /// <remarks/>
        public void EmailInsertToDBAsync(string emailTo, string emailCC, string emailBCC, string subject, string message, string nik, string counterCode, string namaFile, byte[] image, string emailFrom, string emailFromDisplayName, string emailID, object userState) {
            if ((this.EmailInsertToDBOperationCompleted == null)) {
                this.EmailInsertToDBOperationCompleted = new System.Threading.SendOrPostCallback(this.OnEmailInsertToDBOperationCompleted);
            }
            this.InvokeAsync("EmailInsertToDB", new object[] {
                        emailTo,
                        emailCC,
                        emailBCC,
                        subject,
                        message,
                        nik,
                        counterCode,
                        namaFile,
                        image,
                        emailFrom,
                        emailFromDisplayName,
                        emailID}, this.EmailInsertToDBOperationCompleted, userState);
        }
        
        private void OnEmailInsertToDBOperationCompleted(object arg) {
            if ((this.EmailInsertToDBCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.EmailInsertToDBCompleted(this, new EmailInsertToDBCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/InsertSimpleEmail", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string InsertSimpleEmail(string DataRequest, string CounterCode, string EmailFrom, string EmailFromDisplayName) {
            object[] results = this.Invoke("InsertSimpleEmail", new object[] {
                        DataRequest,
                        CounterCode,
                        EmailFrom,
                        EmailFromDisplayName});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void InsertSimpleEmailAsync(string DataRequest, string CounterCode, string EmailFrom, string EmailFromDisplayName) {
            this.InsertSimpleEmailAsync(DataRequest, CounterCode, EmailFrom, EmailFromDisplayName, null);
        }
        
        /// <remarks/>
        public void InsertSimpleEmailAsync(string DataRequest, string CounterCode, string EmailFrom, string EmailFromDisplayName, object userState) {
            if ((this.InsertSimpleEmailOperationCompleted == null)) {
                this.InsertSimpleEmailOperationCompleted = new System.Threading.SendOrPostCallback(this.OnInsertSimpleEmailOperationCompleted);
            }
            this.InvokeAsync("InsertSimpleEmail", new object[] {
                        DataRequest,
                        CounterCode,
                        EmailFrom,
                        EmailFromDisplayName}, this.InsertSimpleEmailOperationCompleted, userState);
        }
        
        private void OnInsertSimpleEmailOperationCompleted(object arg) {
            if ((this.InsertSimpleEmailCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.InsertSimpleEmailCompleted(this, new InsertSimpleEmailCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/EmailInsertToDBMultiAttachment", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string EmailInsertToDBMultiAttachment(
                    string emailTo, 
                    string emailCC, 
                    string emailBCC, 
                    string subject, 
                    string message, 
                    string nik, 
                    string counterCode, 
                    string namaFile1, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] image1, 
                    string namaFile2, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] image2, 
                    string namaFile3, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] image3, 
                    string namaFile4, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] image4, 
                    string namaFile5, 
                    [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] image5, 
                    string emailFrom, 
                    string emailFromDisplayName, 
                    string emailID) {
            object[] results = this.Invoke("EmailInsertToDBMultiAttachment", new object[] {
                        emailTo,
                        emailCC,
                        emailBCC,
                        subject,
                        message,
                        nik,
                        counterCode,
                        namaFile1,
                        image1,
                        namaFile2,
                        image2,
                        namaFile3,
                        image3,
                        namaFile4,
                        image4,
                        namaFile5,
                        image5,
                        emailFrom,
                        emailFromDisplayName,
                        emailID});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void EmailInsertToDBMultiAttachmentAsync(
                    string emailTo, 
                    string emailCC, 
                    string emailBCC, 
                    string subject, 
                    string message, 
                    string nik, 
                    string counterCode, 
                    string namaFile1, 
                    byte[] image1, 
                    string namaFile2, 
                    byte[] image2, 
                    string namaFile3, 
                    byte[] image3, 
                    string namaFile4, 
                    byte[] image4, 
                    string namaFile5, 
                    byte[] image5, 
                    string emailFrom, 
                    string emailFromDisplayName, 
                    string emailID) {
            this.EmailInsertToDBMultiAttachmentAsync(emailTo, emailCC, emailBCC, subject, message, nik, counterCode, namaFile1, image1, namaFile2, image2, namaFile3, image3, namaFile4, image4, namaFile5, image5, emailFrom, emailFromDisplayName, emailID, null);
        }
        
        /// <remarks/>
        public void EmailInsertToDBMultiAttachmentAsync(
                    string emailTo, 
                    string emailCC, 
                    string emailBCC, 
                    string subject, 
                    string message, 
                    string nik, 
                    string counterCode, 
                    string namaFile1, 
                    byte[] image1, 
                    string namaFile2, 
                    byte[] image2, 
                    string namaFile3, 
                    byte[] image3, 
                    string namaFile4, 
                    byte[] image4, 
                    string namaFile5, 
                    byte[] image5, 
                    string emailFrom, 
                    string emailFromDisplayName, 
                    string emailID, 
                    object userState) {
            if ((this.EmailInsertToDBMultiAttachmentOperationCompleted == null)) {
                this.EmailInsertToDBMultiAttachmentOperationCompleted = new System.Threading.SendOrPostCallback(this.OnEmailInsertToDBMultiAttachmentOperationCompleted);
            }
            this.InvokeAsync("EmailInsertToDBMultiAttachment", new object[] {
                        emailTo,
                        emailCC,
                        emailBCC,
                        subject,
                        message,
                        nik,
                        counterCode,
                        namaFile1,
                        image1,
                        namaFile2,
                        image2,
                        namaFile3,
                        image3,
                        namaFile4,
                        image4,
                        namaFile5,
                        image5,
                        emailFrom,
                        emailFromDisplayName,
                        emailID}, this.EmailInsertToDBMultiAttachmentOperationCompleted, userState);
        }
        
        private void OnEmailInsertToDBMultiAttachmentOperationCompleted(object arg) {
            if ((this.EmailInsertToDBMultiAttachmentCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.EmailInsertToDBMultiAttachmentCompleted(this, new EmailInsertToDBMultiAttachmentCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/getEmailIDForMultipleAttachment", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string getEmailIDForMultipleAttachment(string counterCode) {
            object[] results = this.Invoke("getEmailIDForMultipleAttachment", new object[] {
                        counterCode});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void getEmailIDForMultipleAttachmentAsync(string counterCode) {
            this.getEmailIDForMultipleAttachmentAsync(counterCode, null);
        }
        
        /// <remarks/>
        public void getEmailIDForMultipleAttachmentAsync(string counterCode, object userState) {
            if ((this.getEmailIDForMultipleAttachmentOperationCompleted == null)) {
                this.getEmailIDForMultipleAttachmentOperationCompleted = new System.Threading.SendOrPostCallback(this.OngetEmailIDForMultipleAttachmentOperationCompleted);
            }
            this.InvokeAsync("getEmailIDForMultipleAttachment", new object[] {
                        counterCode}, this.getEmailIDForMultipleAttachmentOperationCompleted, userState);
        }
        
        private void OngetEmailIDForMultipleAttachmentOperationCompleted(object arg) {
            if ((this.getEmailIDForMultipleAttachmentCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.getEmailIDForMultipleAttachmentCompleted(this, new getEmailIDForMultipleAttachmentCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/insertAttachment", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string insertAttachment(string emailID, string namaFile, [System.Xml.Serialization.XmlElementAttribute(DataType="base64Binary")] byte[] imageAttachment) {
            object[] results = this.Invoke("insertAttachment", new object[] {
                        emailID,
                        namaFile,
                        imageAttachment});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void insertAttachmentAsync(string emailID, string namaFile, byte[] imageAttachment) {
            this.insertAttachmentAsync(emailID, namaFile, imageAttachment, null);
        }
        
        /// <remarks/>
        public void insertAttachmentAsync(string emailID, string namaFile, byte[] imageAttachment, object userState) {
            if ((this.insertAttachmentOperationCompleted == null)) {
                this.insertAttachmentOperationCompleted = new System.Threading.SendOrPostCallback(this.OninsertAttachmentOperationCompleted);
            }
            this.InvokeAsync("insertAttachment", new object[] {
                        emailID,
                        namaFile,
                        imageAttachment}, this.insertAttachmentOperationCompleted, userState);
        }
        
        private void OninsertAttachmentOperationCompleted(object arg) {
            if ((this.insertAttachmentCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.insertAttachmentCompleted(this, new insertAttachmentCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/sendMailAttachment_Inserted", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string sendMailAttachment_Inserted(string emailTo, string emailCC, string emailBCC, string subject, string message, string nik, string counterCode, string emailFrom, string emailFromDisplayName, string emailID) {
            object[] results = this.Invoke("sendMailAttachment_Inserted", new object[] {
                        emailTo,
                        emailCC,
                        emailBCC,
                        subject,
                        message,
                        nik,
                        counterCode,
                        emailFrom,
                        emailFromDisplayName,
                        emailID});
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public void sendMailAttachment_InsertedAsync(string emailTo, string emailCC, string emailBCC, string subject, string message, string nik, string counterCode, string emailFrom, string emailFromDisplayName, string emailID) {
            this.sendMailAttachment_InsertedAsync(emailTo, emailCC, emailBCC, subject, message, nik, counterCode, emailFrom, emailFromDisplayName, emailID, null);
        }
        
        /// <remarks/>
        public void sendMailAttachment_InsertedAsync(string emailTo, string emailCC, string emailBCC, string subject, string message, string nik, string counterCode, string emailFrom, string emailFromDisplayName, string emailID, object userState) {
            if ((this.sendMailAttachment_InsertedOperationCompleted == null)) {
                this.sendMailAttachment_InsertedOperationCompleted = new System.Threading.SendOrPostCallback(this.OnsendMailAttachment_InsertedOperationCompleted);
            }
            this.InvokeAsync("sendMailAttachment_Inserted", new object[] {
                        emailTo,
                        emailCC,
                        emailBCC,
                        subject,
                        message,
                        nik,
                        counterCode,
                        emailFrom,
                        emailFromDisplayName,
                        emailID}, this.sendMailAttachment_InsertedOperationCompleted, userState);
        }
        
        private void OnsendMailAttachment_InsertedOperationCompleted(object arg) {
            if ((this.sendMailAttachment_InsertedCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.sendMailAttachment_InsertedCompleted(this, new sendMailAttachment_InsertedCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/TestLippoCikarang", RequestNamespace="http://tempuri.org/", ResponseNamespace="http://tempuri.org/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void TestLippoCikarang() {
            this.Invoke("TestLippoCikarang", new object[0]);
        }
        
        /// <remarks/>
        public void TestLippoCikarangAsync() {
            this.TestLippoCikarangAsync(null);
        }
        
        /// <remarks/>
        public void TestLippoCikarangAsync(object userState) {
            if ((this.TestLippoCikarangOperationCompleted == null)) {
                this.TestLippoCikarangOperationCompleted = new System.Threading.SendOrPostCallback(this.OnTestLippoCikarangOperationCompleted);
            }
            this.InvokeAsync("TestLippoCikarang", new object[0], this.TestLippoCikarangOperationCompleted, userState);
        }
        
        private void OnTestLippoCikarangOperationCompleted(object arg) {
            if ((this.TestLippoCikarangCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.TestLippoCikarangCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    public delegate void RunEmailCompletedEventHandler(object sender, RunEmailCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class RunEmailCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal RunEmailCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    public delegate void EmailDirectToSMTPServerCompletedEventHandler(object sender, EmailDirectToSMTPServerCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class EmailDirectToSMTPServerCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal EmailDirectToSMTPServerCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    public delegate void EmailInsertToDBCompletedEventHandler(object sender, EmailInsertToDBCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class EmailInsertToDBCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal EmailInsertToDBCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    public delegate void InsertSimpleEmailCompletedEventHandler(object sender, InsertSimpleEmailCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class InsertSimpleEmailCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal InsertSimpleEmailCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    public delegate void EmailInsertToDBMultiAttachmentCompletedEventHandler(object sender, EmailInsertToDBMultiAttachmentCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class EmailInsertToDBMultiAttachmentCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal EmailInsertToDBMultiAttachmentCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    public delegate void getEmailIDForMultipleAttachmentCompletedEventHandler(object sender, getEmailIDForMultipleAttachmentCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class getEmailIDForMultipleAttachmentCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal getEmailIDForMultipleAttachmentCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    public delegate void insertAttachmentCompletedEventHandler(object sender, insertAttachmentCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class insertAttachmentCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal insertAttachmentCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    public delegate void sendMailAttachment_InsertedCompletedEventHandler(object sender, sendMailAttachment_InsertedCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class sendMailAttachment_InsertedCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal sendMailAttachment_InsertedCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public string Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((string)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.0.30319.34209")]
    public delegate void TestLippoCikarangCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
}

#pragma warning restore 1591